Subject: Re: how to do a timeout in getchar
From: [email-masked]

13 Mar 1998 23:32:08 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

The cygnus censor has been deleting my posts lately, so
I took the precaution of also sending this to the person
who posted the message.

>   Kris Thielemans ([email-masked])
>   Thu, 12 Mar 1998 10:48:44 GMT
>
>I've always been using getch() from curses for this on Unix. Unfortunately,
>there is no curses library in cygwin. I know of the existence of pdcurses
>and ncurses, but tried neither of those yet. Can anyone advise me on the
>difference between the two ?
>Of course, using curses just for getch() seems a bit overkill, but select()
>is a bit complicated for me...
>
Hello, hello, Christopher Wren.

1.  getch() and kbhit() are both in the MINGW32 system that is an addon
	to cygwin (under conio.h).
2.  You can use the slang library as a libcurses.  <slcurses.h> has
	macros for converting curses calls into slang  curses calls,
	and I have tested them and found them to work for many apps.
3.  Or, you can use the Slang version of getkey and keypressed.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".